﻿

namespace Models
{
    public class RecipeState
    {

        public uint PersonAmount { get; private init; }
        public bool IsAccountFavorite { get; private init; }
        public uint AccountNote { get; private init; }

        public Recipe Recipe { get; private init; }

        public RecipeState(uint personAmount, bool isAccountFavorite, uint accountNote, Recipe recipe)
        {
            PersonAmount = personAmount;
            IsAccountFavorite = isAccountFavorite;
            AccountNote = accountNote;
            Recipe = recipe;
        }
    }
}
