﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Endpoint
{
    public interface IRecipesService
    {
        public List<RecipeInfo> RecommendedRecipes(Account account);

        public List<RecipeInfo> PopularRecipes();

        public Recipe GetRecipe(RecipeInfo info);

        public RecipeState RecipeStateOf(Account account, Recipe recipe);
    }
}
